Delete voice consent
VoiceConsentDeleted audio().voiceConsents().delete(VoiceConsentDeleteParamsparams = VoiceConsentDeleteParams.none() , RequestOptionsrequestOptions = RequestOptions.none() )
DELETE
/audio/voice_consents/{consent_id}Delete voice consent
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.audio.voiceconsents.VoiceConsentDeleteParams;
import com.openai.models.audio.voiceconsents.VoiceConsentDeleted;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
VoiceConsentDeleted voiceConsentDeleted = client.audio().voiceConsents().delete("consent_id");
}
}200 example
{
"id": "cons_1234",
"deleted": true,
"object": "audio.voice_consent"
}Returns Examples
200 example
{
"id": "cons_1234",
"deleted": true,
"object": "audio.voice_consent"
}